Lib ws2_32.dll
Type WSAData (WVersion As Integer, WHighVersion As Integer, szDescription As String * 257, szSystemStatus As String * 129, iMaxSockets As Integer, iMaxUdpDg As Integer, lpVendorInfo As Long)
Type sockaddr_in (sin_family As Integer, sin_port As Integer, sin_addr As Long, sin_zero As String * 8)
Function WSAStartup (ByVal wVR As Long, lpWSAD As WSAData) As Long
Function WSACleanup () As Long
Function gethostbyname (ByVal szHost As String) As Long
Function socket (ByVal af As Long, ByVal s_type As Long, ByVal Protocol As Long) As Long
Function inet_addr (ByVal cp As String) As Long
Function htons (ByVal hostshort As Integer) As Integer
Function WSACreateEvent () As Long
Function WSAEventSelect (ByVal hSocket As Long, ByVal hEventObject As Long, ByVal lNetworkEvents As Long) As Long
Function WSACloseEvent (ByVal hEvent As Long) As Long
Function WSAWaitForMultipleEvents (ByVal cEvents As Long, lphEvents As Any, ByVal fWaitAll As Long, ByVal dwTimeout As Long, ByVal fAlertable As Long) As Long
Function connect (ByVal s As Long, ByRef name As sockaddr_in, ByVal namelen As Long) As Long
Function WSAGetLastError () As Long
Function ioctlsocket (ByVal s As Long, ByVal cmd As Long, ByRef argp As Long) As Long
Function send (ByVal hSocket As Long, ByRef buf As Any, ByVal buflen As Long, ByVal Flags As Long) As Long
Function recv (ByVal hSocket As Long, ByRef buf As Any, ByVal buflen As Long, ByVal Flags As Long) As Long
Function closesocket (ByVal hSocket As Long) As Long